Bug 1198002 - (CVE-2022-1201) VUL-1: CVE-2022-1201: mruby: NULL Pointer Dereference in mrb_vm_exec is capable of making the mruby interpreter crash
(CVE-2022-1201)
VUL-1: CVE-2022-1201: mruby: NULL Pointer Dereference in mrb_vm_exec is capab...
Status: NEW
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.4
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Ferdinand Thiessen
Security Team bot
https://smash.suse.de/issue/327960/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-04 11:55 UTC by Hu
Modified: 2022-04-06 17:28 UTC (History)
0 users

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hu 2022-04-04 11:55:34 UTC
CVE-2022-1201

NULL Pointer Dereference in mrb_vm_exec with super in GitHub repository
mruby/mruby prior to 3.2. This vulnerability is capable of making the mruby
interpreter crash, thus affecting the availability of the system.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-1201
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-1201
https://github.com/mruby/mruby/commit/00acae117da1b45b318dc36531a7b0021b8097ae
http://www.cvedetails.com/cve/CVE-2022-1201/
https://huntr.dev/bounties/6f930add-c9d8-4870-ae56-d4bd8354703b
Comment 1 Hu 2022-04-04 11:57:20 UTC
Affects:
- openSUSE:Factory/mruby 3.0.0